http:
  routers:
    # affine-web:
    #   rule: "Host(`affine.athaliapps.xyz`) && !PathPrefix(`/api`)"
    #   entryPoints:
    #     - websecure
    #   middlewares:
    #     - secured@docker
    #   service: affine-svc
    #   tls:
    #     certResolver: myresolver
    
    affine-api:
      rule: "Host(`affine.athaliapps.xyz`)"
      service: affine-svc
      entryPoints:
        - websecure
      middlewares:
        - secured-no-oauth@docker
      tls:
        certResolver: myresolver
  
  services:
    affine-svc:
      loadBalancer:
        servers:
          - url: "http://192.168.14.245:3010"